## ros-foxy-kobuki-ftdi 1.0.0

=== CMakeLists.txt ===
##############################################################################
# Cmake
##############################################################################

cmake_minimum_required(VERSION 3.5)
project(kobuki_ftdi)

##############################################################################
# Find Packages
##############################################################################

find_package(ament_cmake_ros REQUIRED)
find_package(ecl_build REQUIRED)
find_package(ecl_command_line REQUIRED)

# pkg-config packages
find_package(PkgConfig)
pkg_search_module(libusb REQUIRED libusb)
pkg_search_module(libftdi REQUIRED libftdi)

##############################################################################
# Platform Configuration
##############################################################################

ament_package_xml()
ecl_enable_cxx14_compiler()
ecl_enable_cxx_warnings()

##############################################################################
# Sources
##############################################################################

add_subdirectory(src)

##############################################################################
# Install data files
##############################################################################

install(DIRECTORY eeproms
        DESTINATION share/${PROJECT_NAME}
)

install(FILES 60-kobuki.rules
        DESTINATION share/${PROJECT_NAME}
)

##############################################################################
# Exports
##############################################################################

ament_package()

=== src/CMakeLists.txt ===
###############################################################################
# Macro
###############################################################################

# The arguments beyond 'name' (ARGN) are the system libraries to link
macro(kobuki_ftdi_add_utility name)
  set(target_name kobuki_ftdi_utility_${name})
  add_executable(${target_name} ${name}.cpp)
  set_target_properties(${target_name} PROPERTIES OUTPUT_NAME ${name})
  target_include_directories(
    ${target_name}
    PRIVATE
      $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
    PUBLIC
      ${libusb_INCLUDE_DIRS}
      ${libftdi_INCLUDE_DIRS}
  )
  target_link_libraries(
    ${target_name}
    ecl_command_line::ecl_command_line
    ${ARGN}
    ${libusb_LDFLAGS}
    ${libftdi_LDFLAGS}
  )
  install(
    TARGETS
      ${target_name}
    RUNTIME DESTINATION
      lib/${PROJECT_NAME}
  )
endmacro()

##############################################################################
# Binaries
##############################################################################

kobuki_ftdi_add_utility(ftdi_scan ftdi)
kobuki_ftdi_add_utility(ftdi_kobuki ftdi)
kobuki_ftdi_add_utility(ftdi_read_eeprom ftdi)
kobuki_ftdi_add_utility(ftdi_write_eeprom ftdi)
kobuki_ftdi_add_utility(find_devices usb)
kobuki_ftdi_add_utility(get_serial_number usb)
kobuki_ftdi_add_utility(flasher usb ftdi)
kobuki_ftdi_add_utility(reset_device usb)
kobuki_ftdi_add_utility(overwrite_serial_number usb ftdi)
kobuki_ftdi_add_utility(unflasher usb ftdi)

=== debian/changelog ===
ros-foxy-kobuki-ftdi (1.0.0-1focal) focal; urgency=high

  * [infra] v1 release
  * [read] bugfix to process errors on return from ftdi_read_eeprom

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 14 Jan 2020 05:00:00 -0000

ros-foxy-kobuki-ftdi (0.9.0-1focal) focal; urgency=high

  * migrated from kobuki_core to a standalone repo (flashing/troubleshooting purposes only)

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 09 Jan 2020 05:00:00 -0000

ros-foxy-kobuki-ftdi (0.8.0-1focal) focal; urgency=high

  * build rules updated for ament

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 09 Jan 2020 05:00:00 -0000

ros-foxy-kobuki-ftdi (0.7.8-1focal) focal; urgency=high

  * debian postinstall script for kobuki's udev rule

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 02 Apr 2017 04:00:00 -0000

ros-foxy-kobuki-ftdi (0.7.5-1focal) focal; urgency=high

  * bugfixing the missing pkg-config dependency

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 03 Mar 2017 05:00:00 -0000

ros-foxy-kobuki-ftdi (0.7.3-1focal) focal; urgency=high

  * bugfix the missing prefix in the pkg_search_module calls

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 23 Feb 2017 05:00:00 -0000

ros-foxy-kobuki-ftdi (0.6.1-1focal) focal; urgency=high

  * remove kobuki_ros kobuki_nodelet libaries export in catkin_package closes #16 <https://github.com/yujinrobot/kobuki_core/issues/16>
  * Contributors: Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 27 May 2015 04:00:00 -0000

ros-foxy-kobuki-ftdi (0.6.0-1focal) focal; urgency=high

  * Fix compilation.
    - fix the names of the pkg-config libraries of libusb and libftdi. I checked on Ubuntu and OS X.
    - ftdi-eeprom is not a library and has no pkg-config file.
  * Update the readme in kobuki_ftdi
  * Create README.md
  * kobuki_ftdi : Updated doxygen document.
  * Contributors: Jihoon Lee, Nikolaus Demmel, Younghun Ju

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 04 Aug 2014 04:00:00 -0000

ros-foxy-kobuki-ftdi (0.5.3-1focal) focal; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 06 Sep 2013 04:00:00 -0000

ros-foxy-kobuki-ftdi (0.5.2-1focal) focal; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sat, 31 Aug 2013 04:00:00 -0000

ros-foxy-kobuki-ftdi (0.5.1-1focal) focal; urgency=high

  * Updated license info.

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 30 Aug 2013 04:00:00 -0000

ros-foxy-kobuki-ftdi (0.5.0-1focal) focal; urgency=high

  * Added extra url info on all packages.
  * Updated old rnd email address.
  * Fix URL to the previous changelog wiki.
  * Changelogs at package level.

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 29 Aug 2013 04:00:00 -0000

ros-foxy-kobuki-ftdi (0.4.0-1focal) focal; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 09 Aug 2013 04:00:00 -0000

=== debian/control ===
Source: ros-foxy-kobuki-ftdi
Section: misc
Priority: optional
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ftdi-eeprom, libftdi-dev, libusb-dev, pkg-config, ros-foxy-ament-cmake-ros, ros-foxy-ecl-build, ros-foxy-ecl-command-line, ros-foxy-ros-workspace
Homepage: http://ros.org/wiki/kobuki_ftdi
Standards-Version: 3.9.2

Package: ros-foxy-kobuki-ftdi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ftdi-eeprom, libftdi-dev, libusb-dev, ros-foxy-ecl-command-line, ros-foxy-ros-workspace
Description: Utilities for flashing and enabling Kobuki's USB connection.
 This package contains tools for flashing the Kobuki's FTDI chip (usually done at the factory). The special firmware for the FTDI chip (USB to serial converter) enables it to appear as /dev/kobuki on the user's PC.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-kobuki-ftdi//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
